from selenium import webdriver
from selenium.webdriver.chrome.options import Options

# Set up Chrome options
chrome_options = Options()
chrome_options.add_argument('--headless')  # Run Chrome in headless mode
chrome_options.add_argument('--no-sandbox')  # Required for Docker
chrome_options.add_argument('--disable-dev-shm-usage')  # Overcome limited resource problems
chrome_options.add_argument('--disable-gpu')  # Disable GPU hardware acceleration

# Initialize WebDriver without the service parameter
driver = webdriver.Chrome(executable_path='/home/middiwur/bin/chromedriver', options=chrome_options)

# Open the signup page
driver.get('https://dev.casinoextreme.eu/?ref=signup')

# Fill out signup form fields
driver.find_element(By.ID, 'username').send_keys('testuser')
driver.find_element(By.ID, 'email').send_keys('testuser@example.com')
driver.find_element(By.ID, 'password').send_keys('TestPassword123')
driver.find_element(By.ID, 'confirm_password').send_keys('TestPassword123')

# Submit the form
driver.find_element(By.ID, 'signup_button').click()

# Validate signup success
time.sleep(3)  # Allow time for form submission
assert "Welcome" in driver.page_source

driver.quit()
